合成语音
curl --request POST \
--url https://api.upmore.net/v1/audio/speech \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "speech-2.8-hd",
"input": "你好,欢迎使用语音合成服务。",
"voice": "male-qn-qingse",
"response_format": "mp3",
"speed": 1,
"metadata": {}
}
'import requests
url = "https://api.upmore.net/v1/audio/speech"
payload = {
"model": "speech-2.8-hd",
"input": "你好,欢迎使用语音合成服务。",
"voice": "male-qn-qingse",
"response_format": "mp3",
"speed": 1,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'speech-2.8-hd',
input: '你好,欢迎使用语音合成服务。',
voice: 'male-qn-qingse',
response_format: 'mp3',
speed: 1,
metadata: {}
})
};
fetch('https://api.upmore.net/v1/audio/speech', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}MiniMax
MiniMax 语音合成(T2A)
根据输入文本合成语音,直接返回音频字节。按输入字符数计费。
POST
/
v1
/
audio
/
speech
合成语音
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
使用的语音模型。hd 系列音质优先,turbo 系列时延优先。
可用选项:
speech-2.8-hd, speech-2.8-turbo, speech-2.6-hd, speech-2.6-turbo, speech-02-hd, speech-02-turbo, speech-01-hd, speech-01-turbo 示例:
"speech-2.8-hd"
要合成的文本,按字符数计费。
示例:
"你好,欢迎使用语音合成服务。"
MiniMax 音色 ID,如 male-qn-qingse、female-shaonv,会作为 voice_id 透传给上游。
示例:
"male-qn-qingse"
返回音频的容器格式。
可用选项:
mp3, wav, flac, aac, pcm 语速倍率。
必填范围:
0.5 <= x <= 2透传给上游 MiniMax 的厂商专属字段,例如 {"voice_setting": {"emotion": "happy"}, "audio_setting": {"sample_rate": 32000}, "language_boost": "Chinese"}。设为 {"output_format": "url"} 时改为 302 跳转到音频 URL 而不是直接返回字节。
响应
合成成功,响应体即音频文件。
The response is of type file.
⌘I